
QGIS Application - Feature request #9451

Create a unified "Add Data" dialog

2014-01-29 05:01 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 18044

Description

Create a unified "Add Data" dialog that can be used for any data source. This will significantly improve user experience by creating

consistency when adding data of different types.

Related issues:

Duplicates QGIS Application - Feature request # 773: unified "Load layer" button Closed

History

#1 - 2014-01-29 11:44 AM - Martin Dobias

There's also an old ticket #773 for the same thing

#2 - 2014-01-31 10:46 PM - Matthias Kuhn

Do we have any mockups for this?

What would be the difference of this in comparison to the browser?

#3 - 2014-01-31 10:51 PM - Nathan Woodrow

I have some early mockups that I did a while ago. I'll see if I can dig them up.

Maybe we need to increase the features in the browser and do away with the idea of a open layer dialog. Because 1) I really don't like dialog boxes 2) why

have two different ways to open data.

#4 - 2014-02-02 11:03 PM - Paolo Cavallini

I'd vote for removing the add layer dialog, after having added all the missing functions to the browser.

#5 - 2014-02-04 09:13 AM - Jonathan Moules

To be entirely honest I wasn't really even aware that the Browser had this functionality. Looking at it now it's quite cool.

That said, it has its own set of issues (I'll open applicable tickets). More fundamentally - it doesn't seem to be possible to set data-source specific settings

when adding data in this way (or maybe I'm missing it - quite possible!).

I think having both a dialog and a browser as the way to go.
On the issue of mockups - http://osgeo-org.1560.x6.nabble.com/Consistency-in-adding-layers-especially-OGC-td5100402.html - "A Huarte" - linked to a

video with one possible option.

#6 - 2014-02-04 10:50 AM - Etienne Tourigny

You should link here the new issues you created (as "Related issues")

#7 - 2014-02-05 01:45 AM - Jonathan Moules

Etienne Tourigny wrote:

You should link here the new issues you created (as "Related issues")

They didn't seem pertinent as they're about the Browser rather than this dialog. Also I don't seem to be able to set "Related issues" - I don't have whatever

permissions are required (that or it's a well hidden button).

#8 - 2017-04-04 12:36 AM - shenriod -

Not sure if there is a chance / wish to re-activate this topic? The question has been mentioned in the mailing list recently: 

https://lists.osgeo.org/pipermail/qgis-developer/2017-April/047954.html

Also, there is a quick-solution that has been developped by Anita Graser here: https://anitagraser.com/2016/07/20/one-add-button-to-rule-them-all/​ Can it

somehow be integrated into core? Or would it need substantial development that would require funding?

#9 - 2017-04-04 01:37 AM - Anita Graser

See also UX discussion on https://github.com/qgis/qgis3_UIX_discussion/issues/1

#10 - 2017-04-04 04:02 AM - shenriod -

A Gdoc has been created here to collect ideas on how to implement this idea: 

https://docs.google.com/document/d/1aMX9jOfl10q8oETRzOHSHnRpHCc7UJ1dDnCCq3VyTAY/edit?usp=sharing

#11 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#12 - 2018-02-25 12:37 AM - Nyall Dawson

- Status changed from Open to Closed

#13 - 2018-02-25 05:19 PM - Giovanni Manghi

- Resolution set to fixed/implemented
